[ATI/AMD] Brak trybu graficznego po instalacji nowszego kernela vol. 2

Uwaga: Ten wpis został utworzony ponad rok temu. Informacje w nim zawarte mogą być nieaktualne!
Jest to poradnik nadesłany do nas przez jednego z Czytelników – S3BA, bardzo dziękujemy
Testowano na Ubuntu 12.04.2 LTS Precise Pangolin 64-bit z jądrem w wersji 3.8

Przypis redakcji: w tym poradniku przedstawiono sposób ręcznej instalacji sterownika AMD z repozytorium xorg-edgers.

Otwórz terminal i przejdź do katalogu tymczasowego:

cd /tmp

Pobierz niezbędne paczki:

  • 32-bit:
    wget https://launchpad.net/~xorg-edgers/+archive/ppa/+files/fglrx-amdcccle_12.100~beta6-0ubuntu1~xedgers~precise1_i386.deb https://launchpad.net/~xorg-edgers/+archive/ppa/+files/fglrx_12.100~beta6-0ubuntu1~xedgers~precise1_i386.deb
  • 64-bit
    wget https://launchpad.net/~xorg-edgers/+archive/ppa/+files/fglrx-amdcccle_12.100~beta6-0ubuntu1~xedgers~precise1_amd64.deb https://launchpad.net/~xorg-edgers/+archive/ppa/+files/fglrx_12.100~beta6-0ubuntu1~xedgers~precise1_amd64.deb

Po pobraniu pakietów, zainstaluj je poleceniem:

sudo dpkg -i *.deb

Uruchom ponownie komputer.

Jeżeli powyższy artykuł nie rozwiązał lub rozwiązał częściowo Twój problem, dodaj swój komentarz opisujący, w którym miejscu napotkałeś trudności.
Mile widziane komentarze z uwagami lub informacjami o rozwiązaniu problemu.
  • Grzegorz

    A czy na 3.2.0-38 generic także te stery z kartą ATI Mobility Radeon HD 5470 będą działać bez problemów? Obecnie jadę na lapku na otwartych, ale chętnie skorzystam z dedykowanych?

    • http://maniu.com.pl maniu

      Zainstaluj i sprawdź

    • borek

      Sterowniki na 12.04 dla AMD HD4650 działają bezblędnie -oczywiście instalowane wg instrukcji ubu-pom. Dla karty hd 6450A też.

      • Grzegorz

        Czyli z moją także powinny działać?

  • Grzegorz

    Już mogę powiedzieć, że na HD 5470 nie działa, albo ja robię coś źle gdyż:

    Rozpakowanie fglrx (z fglrx_12.100~beta6-0ubuntu1~xedgers~precise1_amd64.deb) …
    Wybieranie wcześniej niewybranego pakietu fglrx-amdcccle.
    Rozpakowanie fglrx-amdcccle (z fglrx-amdcccle_12.100~beta6-0ubuntu1~xedgers~precise1_amd64.deb) …
    dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie fglrx:
    fglrx zależy od lib32gcc1; jednakże:
    Pakiet lib32gcc1 nie jest zainstalowany.
    dpkg: błąd przetwarzania fglrx (–install):
    problemy z zależnościami – pozostawiony nieskonfigurowany
    dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie fglrx-amdcccle:
    fglrx-amdcccle zależy od fglrx; jednakże:
    Pakiet fglrx nie jest jeszcze skonfigurowany.
    dpkg: błąd przetwarzania fglrx-amdcccle (–install):
    problemy z zależnościami – pozostawiony nieskonfigurowany
    Przetwarzanie wyzwalaczy dla ureadahead…
    ureadahead will be reprofiled on next reboot
    Wystąpiły błędy podczas przetwarzania:
    fglrx
    fglrx-amdcccle

    Taki właśnie komunikat otrzymuję.

    • http://www.ubuntu-pomoc.org Łukasz Schmidtke
      fglrx zależy od lib32gcc1; jednakże:
      Pakiet lib32gcc1 nie jest zainstalowany.

      Czytaj ze zrozumieniem.

      • Grzegorz

        Zauważyłem to wczoraj po napisaniu komenta. Zainstalowałem. Sterowniki się skompilowały, ale… w rogu pojawiła się informacja, że niekompatybilny sprzęt, oraz brak ikony Kadu na pasku, czarne pole w tym miejscu. Wróciłem do otwartych. Na wszystkich, które znajdowały się w aplecie „dodatkowe sterowniki” tak się działo.